import SQLiteAdapter from '@nozbe/watermelondb/adapters/sqlite';
import { schema } from './schema';
import { migrations } from './migrations';

export const adapter = new SQLiteAdapter({
  schema,
  migrations,
  dbName: 'carryyourlive',
  onSetUpError: (error) => {
    console.error('Database setup error:', error);
  },
});
